#!/bin/sh
. /etc/os-release

# Configure opkg to use local repo
REPO_LOCAL="file://${1:-/srv/${ID}}/"
REPO_URL="https://downloads.${HOME_URL#*//}"
sed -i -e "s|${REPO_URL}|${REPO_LOCAL}|" /etc/opkg/distfeeds.conf

# Share the repository on the LAN
ln -f -s ${REPO_LOCAL#*//} /www/${ID}

opkg update